Loading...
Searching...
No Matches
apifunc.h File Reference
Internal API functions

Common internal helper functions. More...

`#include "comm.h"`
`#include "wobbly.h"`
Include dependency graph for apifunc.h:
This graph shows which files directly or indirectly include this file:

## Functions

int | RunTimeError (const Wobbly &w, const char *api_function)
void | CheckHandle (VPBPortHandle handle, const char *where)
| Check for a valid device handle.
void | ValidHandleCheck (int handle)
void | validate_digits (const char *digits)
| Validate a `NULL` terminated string of `DTMF` digits.
int | putevt (VPB_EVENT *event, unsigned long mask=0)
| Internal function to place an event on the API event queue.
void | apifunc_trace (char s[])
int | get_driver_type (int board)
| Return the symbolic type of the driver for board.
VPB_MODEL | get_board_type (int board)
| Return the symbolic `VPB_MODEL` type of a board.
void | get_board_model (int board, char *s)
| Return a descriptive model name for board in s.
VPB_PORT | get_port_type (int board, int port)
| Return the type of a port on some board. `VPB_FXO` or `VPB_FXS`.
size_t | get_total_port_count ()
| Return the total number of ports on all registered boards.
void | set_country (int board, int port, const Country *country)
| Set the country data for port on board.
const Country * | get_country (int board, int port)
| Return the country data for port on board.
void | ring_station_async (int board, int port, int cadence)
| Internal function to control ringing on port of board.
void | set_codec_reg (int handle, unsigned short addr, unsigned short data, Comm *comm)
| Write directly to a `V4PCI` codec register.

## Variables

Comm * | vpb_c
| Pointer to the global comm object.

## Detailed Description

Common internal helper functions.

This file declares some commonly used functions that implement api features but which are not exposed to the application programmer.